Bug 1260406 - No TLS1.1 or TLS1.2 support in pycurl
No TLS1.1 or TLS1.2 support in pycurl
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-pycurl (Show other bugs)
6.7
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Kamil Dudka
Jan Kepler
Robert Krátký
: EasyFix, FutureFeature, Patch, Reproducer
Depends On: 1260407
Blocks: 1253743 1162746 1254457 1269889 1310222
  Show dependency treegraph
 
Reported: 2015-09-06 09:42 EDT by Filip Krska
Modified: 2016-05-10 15:44 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-pycurl-7.19.0-9.el6
Doc Type: Enhancement
Doc Text:
*pycurl* now provides options to require TLSv1.1 or 1.2 With this update, *pycurl* has been enhanced to support options that make it possible to require the use of the 1.1 or 1.2 versions of the TLS protocol, which improves the security of communication.
Story Points: ---
Clone Of:
: 1260407 (view as bug list)
Environment:
Last Closed: 2016-05-10 15:44:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
support for TLSv1_x options (744 bytes, patch)
2015-09-06 09:42 EDT, Filip Krska
fkrska: review?
Details | Diff

  None (edit)
Description Filip Krska 2015-09-06 09:42:16 EDT
Created attachment 1070745 [details]
support for TLSv1_x options

Description of problem:

pycurl doesn't support the TLS1.1 and TLS1.2 options introduced in curl-7.19.7-43

Version-Release number of selected component (if applicable):

python-pycurl-7.19.0-8.el6

How reproducible:

always

Steps to Reproduce:
1. create test script:

# cat /tmp/pycurl_TLS.py
import pycurl
from StringIO import StringIO

buffer = StringIO()

c=pycurl.Curl()
c.setopt(c.URL, "https://www.redhat.com")
c.setopt(c.SSLVERSION, c.SSLVERSION_TLSv1_2)


c.perform()
c.close()

body = buffer.getvalue()
print(body)

2.

# python /tmp/pycurl_TLS.py


Actual results:

Traceback (most recent call last):
  File "/tmp/pycurl_TLS.py", line 9, in <module>
    c.setopt(c.SSLVERSION, c.SSLVERSION_TLSv1_2)
AttributeError: SSLVERSION_TLSv1_2


Expected results:

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
...

Additional info:

Easyfix patch attached.

needed to propagate to upstream
Comment 1 Kamil Dudka 2015-09-07 04:27:04 EDT
upstream commit:

https://github.com/pycurl/pycurl/commit/83ccaa22
Comment 14 errata-xmlrpc 2016-05-10 15:44:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0757.html

Note You need to log in before you can comment on or make changes to this bug.